Jump to the post that solved this thread.
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Solved: 1 Week, 1 Day, 23 Hours ago Inline Moderation Broken with Default Theme
#1
Solved: 1 Week, 1 Day, 23 Hours ago
Hi Everyone,

The mods on the forum I'm doing some work for have reported issues with inline moderation, even with the default theme, and are getting this message:


Quote:Sorry, but you did not select any posts to perform inline moderation on, or your previous moderation session has expired (Automatically after 1 hour of inactivity). Please select some posts and try again.


I've followed the instructions in the two sticky threads (although I didn't change the "ver" value since the board was reading as 1813 instead of 1807 or 1809, should I have changed that value anyway?), and the code all appears fixed in the files referenced, but unfortunately no dice.

I've tried other themes, and so far I've been able to reproduce the issue on those as well. This has occurred on any page on the site that is eligible for inline moderation.

Here's the information you requested:
  • URL to your forum/URL to specific problematic page: https://49ersfaithfulforum.com (any thread)

  • New installation or upgrade (from which version of MyBB)? This was a new installation back in late December, and has been in-place upgraded since to 1.8.18 (the 1.8.19 upgrade is pending, since I'd like to fix this issue first before upgrading)

  • Test user account (if it requires additional permissions): Let me know if you need an account since guest logins are disabled, and I can PM you an admin-level account.

  • Screenshot or error text, verbatim: Here's the issue as I was able to reproduce it: https://imgur.com/a/WgzqIUy
Thank you for any help you can provide! Smile
Reply
#2
Solved: 1 Week, 1 Day, 23 Hours ago
Hello,

I'm going to do some basic troubleshooting attempt here so if none of this works I do apologize!

ONE: Ensure your scripts match version of MyBB. I know you mentioned you did some of this but you are still using 1817. Templates --> Ungrouped Templates --> headerinclude
FIND
Code:
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/jquery.js?ver=1817"></script>
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/jquery.plugins.min.js?ver=1817"></script>
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/general.js?ver=1817"></script>
REPLACE WITH
Code:
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/jquery.js?ver=1818"></script>
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/jquery.plugins.min.js?ver=1818"></script>
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/general.js?ver=1818"></script>

TWO: Ensure you are not missing something important in the additional scripting, I inspected the page and all looks to be there BUT it is easy to miss something sometimes. It will start out something like:
Code:
<script type="text/javascript">
<!--
ALL THE JAVANESS IN HERE
// -->
</script>
Replace that entire snippet with:
Code:
<script type="text/javascript">
<!--
    lang.unknown_error = "{$lang->unknown_error}";

    lang.select2_match = "{$lang->select2_match}";
    lang.select2_matches = "{$lang->select2_matches}";
    lang.select2_nomatches = "{$lang->select2_nomatches}";
    lang.select2_inputtooshort_single = "{$lang->select2_inputtooshort_single}";
    lang.select2_inputtooshort_plural = "{$lang->select2_inputtooshort_plural}";
    lang.select2_inputtoolong_single = "{$lang->select2_inputtoolong_single}";
    lang.select2_inputtoolong_plural = "{$lang->select2_inputtoolong_plural}";
    lang.select2_selectiontoobig_single = "{$lang->select2_selectiontoobig_single}";
    lang.select2_selectiontoobig_plural = "{$lang->select2_selectiontoobig_plural}";
    lang.select2_loadmore = "{$lang->select2_loadmore}";
    lang.select2_searching = "{$lang->select2_searching}";

    var cookieDomain = "{$mybb->settings['cookiedomain']}";
    var cookiePath = "{$mybb->settings['cookiepath']}";
    var cookiePrefix = "{$mybb->settings['cookieprefix']}";
    var cookieSecureFlag = "{$mybb->settings['cookiesecureflag']}";
    var deleteevent_confirm = "{$lang->deleteevent_confirm}";
    var removeattach_confirm = "{$lang->removeattach_confirm}";
    var loading_text = '{$lang->ajax_loading}';
    var saving_changes = '{$lang->saving_changes}';
    var use_xmlhttprequest = "{$mybb->settings['use_xmlhttprequest']}";
    var my_post_key = "{$mybb->post_code}";
    var rootpath = "{$mybb->settings['bburl']}";
    var imagepath = "{$theme['imgdir']}";
      var yes_confirm = "{$lang->yes}";
    var no_confirm = "{$lang->no}";
    var MyBBEditor = null;
    var spinner_image = "{$theme['imgdir']}/spinner.gif";
    var spinner = "<img src='" + spinner_image +"' alt='' />";
    var modal_zindex = 9999;
// -->
</script>

Please let me know when you try this out, if it does not work we can dig deeper!
Reply
#3
Solved: 1 Week, 1 Day, 23 Hours ago
(09-15-2018, 02:33 AM)isoldehn Wrote: Hello,

I'm going to do some basic troubleshooting attempt here so if none of this works I do apologize!

ONE: Ensure your scripts match version of MyBB. I know you mentioned you did some of this but you are still using 1817. Templates --> Ungrouped Templates --> headerinclude
FIND
Code:
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/jquery.js?ver=1817"></script>
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/jquery.plugins.min.js?ver=1817"></script>
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/general.js?ver=1817"></script>
REPLACE WITH
Code:
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/jquery.js?ver=1818"></script>
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/jquery.plugins.min.js?ver=1818"></script>
<script type="text/javascript" src="{$mybb->asset_url}/jscripts/general.js?ver=1818"></script>

TWO: Ensure you are not missing something important in the additional scripting, I inspected the page and all looks to be there BUT it is easy to miss something sometimes. It will start out something like:
Code:
<script type="text/javascript">
<!--
ALL THE JAVANESS IN HERE
// -->
</script>
Replace that entire snippet with:
Code:
<script type="text/javascript">
<!--
    lang.unknown_error = "{$lang->unknown_error}";

    lang.select2_match = "{$lang->select2_match}";
    lang.select2_matches = "{$lang->select2_matches}";
    lang.select2_nomatches = "{$lang->select2_nomatches}";
    lang.select2_inputtooshort_single = "{$lang->select2_inputtooshort_single}";
    lang.select2_inputtooshort_plural = "{$lang->select2_inputtooshort_plural}";
    lang.select2_inputtoolong_single = "{$lang->select2_inputtoolong_single}";
    lang.select2_inputtoolong_plural = "{$lang->select2_inputtoolong_plural}";
    lang.select2_selectiontoobig_single = "{$lang->select2_selectiontoobig_single}";
    lang.select2_selectiontoobig_plural = "{$lang->select2_selectiontoobig_plural}";
    lang.select2_loadmore = "{$lang->select2_loadmore}";
    lang.select2_searching = "{$lang->select2_searching}";

    var cookieDomain = "{$mybb->settings['cookiedomain']}";
    var cookiePath = "{$mybb->settings['cookiepath']}";
    var cookiePrefix = "{$mybb->settings['cookieprefix']}";
   var cookieSecureFlag = "{$mybb->settings['cookiesecureflag']}";
    var deleteevent_confirm = "{$lang->deleteevent_confirm}";
    var removeattach_confirm = "{$lang->removeattach_confirm}";
    var loading_text = '{$lang->ajax_loading}';
    var saving_changes = '{$lang->saving_changes}';
    var use_xmlhttprequest = "{$mybb->settings['use_xmlhttprequest']}";
    var my_post_key = "{$mybb->post_code}";
    var rootpath = "{$mybb->settings['bburl']}";
    var imagepath = "{$theme['imgdir']}";
     var yes_confirm = "{$lang->yes}";
    var no_confirm = "{$lang->no}";
    var MyBBEditor = null;
    var spinner_image = "{$theme['imgdir']}/spinner.gif";
    var spinner = "<img src='" + spinner_image +"' alt='' />";
    var modal_zindex = 9999;
// -->
</script>

Please let me know when you try this out, if it does not work we can dig deeper!

Thanks so much for your help! I'll give this a try and will let you know how it goes. Smile


That worked! Thank you so much, I really appreciate it. Everything is working great now! Big Grin

When I upgrade to 1.8.19, should I update the headerinclude template so that the Ver value says 1819?
Reply
#4
Solved: 1 Week, 1 Day, 23 Hours ago
Most definitely!

And you are very welcome!
Reply
#5
Solved: 1 Week, 1 Day, 23 Hours ago
Yeah, after upgrading templates from custom themes are not updated so you need to check what has been changed in default theme between versions and add these changes to your theme as well. Otherwise weird things can happen Toungue

PS: Not every file with ?ver needs to be changed - it is done to actually prevent using cached versions of old files when there are changes in them.

I think this one can be closed now.
Reply
Jump to the post that solved this thread.


Forum Jump:


Users browsing this thread: 1 Guest(s)